%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define daemon_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define daemon_user apache
%endif
Name: monitor-geomap
Version: 2.3.3
Release: op5.1
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: /tmp/%name-%version
Summary: Geomap plugin for Monitor
Group: op5/Monitor
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-ninja >= 3.1
Source: %name-%version.tar.gz

%description
Geomap plugin for monitor

%prep
rm -rf %buildroot
%setup -q

%install
mkdir -p -m 755 %buildroot%prefix/modules
cp -r install_scripts  %buildroot%prefix
cp -r geomap  %buildroot%prefix/modules/geomap

mkdir -p -m 755 %buildroot%prefix/application/config
cp -r config  %buildroot%prefix/application/config/geomap

mkdir -p %buildroot/etc/op5-backup/modules/external
cp -f backup/op5-geomap %buildroot/etc/op5-backup/modules/external

%post
php %prefix/install_scripts/update_geomap_settings.php \
	%prefix/../nagvis/etc/geomap/ \
	%prefix/modules/geomap/config/geomap/
php %prefix/index.php cli/rename_widget --from geomap --to geomap2 &> /dev/null
$(php %prefix/index.php cli/save_widget --page 'tac/index' --name geomap2 --friendly_name "Geomap" &> /dev/null)
if [ "$?" -ne 0 ]; then
	echo "WARNING: mysql-server is not installed or not running."
	echo "If Oracle database is to be used this is ok."
	echo "If MySQL database is to be used you need to maually"
	echo "setup the merlin database to complete the setup of %name"
fi

%postun
if [ "$1" -eq 0 ]; then
	echo "DELETE FROM ninja_widgets WHERE name='geomap2';" | mysql -uroot merlin &> /dev/null || :
fi

%files
%defattr(664,monitor,%daemon_group,775)
%prefix/install_scripts/update_geomap_settings.php
%prefix/modules/geomap
%dir %attr(775,%daemon_user,%daemon_group) %prefix/application/config/geomap
%config(noreplace) %attr(664,%daemon_user,%daemon_group) %prefix/application/config/geomap/*
%prefix/install_scripts/update_ninja_settings.php
%attr(644,root,root) /etc/op5-backup/modules/external/op5-geomap

%clean
rm -rf %buildroot
